Indexes
Create or update a version
Create a new or update an existing Index with the given version id
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the resource
version
string
obligatoire
The specific version id of the Index to create or update.
Corps de la demande
The Index to create or update.
AzureSearch
AzureAISearchIndexUpdate
Azure AI Search Index Definition
type
enum
obligatoire
Type of index
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Azure AI Search Index Definition
type
enum
obligatoire
Type of index
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
obligatoire
Type of index
Réponses
The request has succeeded.
Corps
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
obligatoire
Type of index
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
obligatoire
Type of index
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
obligatoire
Type of index
Requête
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json